
Packaging - Bug #35753

Foreman apt repo is missing multiple packages

11/14/2022 08:22 PM - Threatintel-be please_edit_me

Status: New   

Priority: High   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 3.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

root@fm:/tmp# foreman-installer --enable-foreman --enable-foreman-cli --enable-foreman-cli-discovery  --enable-foreman-cli-puppet

--enable-foreman-cli-remote-execution --enable-foreman-cli-tasks --enable-foreman-cli-templates --enable-foreman-cli-webhooks

--enable-foreman-proxy --enable-puppet --enable-foreman-plugin-bootdisk --enable-foreman-plugin-column-view

--enable-foreman-plugin-default-hostgroup --enable-foreman-plugin-dhcp-browser --enable-foreman-plugin-discovery

--enable-foreman-plugin-git-templates --enable-foreman-plugin-hooks --enable-foreman-plugin-host-extra-validator

--enable-foreman-plugin-monitoring --enable-foreman-plugin-puppet --enable-foreman-plugin-remote-execution

--enable-foreman-plugin-remote-execution-cockpit --enable-foreman-plugin-rescue --enable-foreman-plugin-setup

--enable-foreman-plugin-statistics --enable-foreman-plugin-tasks --enable-foreman-plugin-templates

--enable-foreman-plugin-webhooks --enable-foreman-compute-vmware --enable-foreman-proxy-plugin-discovery

--enable-foreman-proxy-plugin-monitoring --enable-foreman-proxy-plugin-remote-execution-script

--enable-foreman-proxy-plugin-shellhooks

2022-11-14 21:15:41 [NOTICE] [root] Loading installer configuration. This will take some time.

2022-11-14 21:15:50 [NOTICE] [root] Running installer with log based terminal output at level NOTICE.

2022-11-14 21:15:50 [NOTICE] [root] Use -l to set the terminal output log level to ERROR, WARN, NOTICE, INFO, or DEBUG. See

--full-help for definitions.

2022-11-14 21:15:54 [NOTICE] [configure] Starting system configuration.

2022-11-14 21:16:09 [NOTICE] [configure] 250 configuration steps out of 1477 steps complete.

2022-11-14 21:16:10 [NOTICE] [configure] 500 configuration steps out of 1479 steps complete.

2022-11-14 21:16:10 [ERROR ] [configure] Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install

ruby-foreman-git-templates' returned 100: Reading package lists...

2022-11-14 21:16:10 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:10 [ERROR ] [configure] Reading state information...

2022-11-14 21:16:10 [ERROR ] [configure] E: Unable to locate package ruby-foreman-git-templates

2022-11-14 21:16:10 [ERROR ] [configure]

/Stage[main]/Foreman::Plugin::Git_templates/Foreman::Plugin[git_templates]/Package[ruby-foreman-git-templates]/ensure: change

from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install

ruby-foreman-git-templates' returned 100: Reading package lists...

2022-11-14 21:16:10 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:10 [ERROR ] [configure] Reading state information...

2022-11-14 21:16:10 [ERROR ] [configure] E: Unable to locate package ruby-foreman-git-templates

2022-11-14 21:16:11 [ERROR ] [configure] Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install

ruby-foreman-host-extra-validator' returned 100: Reading package lists...

2022-11-14 21:16:11 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:11 [ERROR ] [configure] Reading state information...

2022-11-14 21:16:11 [ERROR ] [configure] E: Unable to locate package ruby-foreman-host-extra-validator

2022-11-14 21:16:11 [ERROR ] [configure]

/Stage[main]/Foreman::Plugin::Host_extra_validator/Foreman::Plugin[host_extra_validator]/Package[ruby-foreman-host-extra-validat

or]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install

ruby-foreman-host-extra-validator' returned 100: Reading package lists...

2022-11-14 21:16:11 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:11 [ERROR ] [configure] Reading state information...

2022-11-14 21:16:11 [ERROR ] [configure] E: Unable to locate package ruby-foreman-host-extra-validator

2022-11-14 21:16:11 [ERROR ] [configure] Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install

ruby-foreman-remote-execution-cockpit' returned 100: Reading package lists...

2022-11-14 21:16:11 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:11 [ERROR ] [configure] Reading state information...
2022-11-14 21:16:11 [ERROR ] [configure] E: Unable to locate package ruby-foreman-remote-execution-cockpit

2022-11-14 21:16:11 [ERROR ] [configure]

/Stage[main]/Foreman::Plugin::Remote_execution::Cockpit/Foreman::Plugin[remote_execution-cockpit]/Package[ruby-foreman-remot

e-execution-cockpit]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/apt-get -q -y -o

DPkg::Options::=--force-confold install ruby-foreman-remote-execution-cockpit' returned 100: Reading package lists...

2022-11-14 21:16:11 [ERROR ] [configure] Building dependency tree...

2022-11-14 21:16:11 [ERROR ] [configure] Reading state information...

2022-11-14 21:16:11 [ERROR ] [configure] E: Unable to locate package ruby-foreman-remote-execution-cockpit

2022-11-14 21:16:12 [NOTICE] [configure] 750 configuration steps out of 1485 steps complete.

2022-11-14 21:16:12 [NOTICE] [configure] 1000 configuration steps out of 1611 steps complete.

2022-11-14 21:16:26 [NOTICE] [configure] 1250 configuration steps out of 1611 steps complete.

History

#1 - 11/15/2022 11:22 AM - Ewoud Kohl van Wijngaarden

- Project changed from Installer to Packaging

- Category changed from foreman-installer script to Debian/Ubuntu

- Difficulty deleted (easy)

There are indeed various plugins that have never been packaged for Debian. Often this is just a lack of time/effort, but no technical reason. PRs to 

https://github.com/theforeman/foreman-packaging/tree/deb/develop are welcome.

#2 - 11/15/2022 11:24 AM - Threatintel-be please_edit_me

Maybe this should be mentioned in the documentation?

#3 - 11/29/2022 05:11 PM - Ewoud Kohl van Wijngaarden

Yes, that would be a good thing to document. Would you be willing to submit a PR to https://github.com/theforeman/theforeman.org?
